Karia
ReferencesOpenapiInvoice

Get invoice

GET
/organisation/{orgId}/workspace/{workspaceId}/invoice/{invoiceId}

Retrieve an invoice in the specified organisation and workspace by numeric ID or invoice reference ID.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
invoiceId*string

Response Body

Successful response

application/json
  1. response
id*number
referenceId*string|null
name*string
description*string
status*string
internalStatus*string|null
type*string
frequency*string
totalAmountDueExGst*string
totalAmountDueGst*string
totalAmountPaid*string
dueDate*string
createdAt*string
employerId*number|null
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/invoice/string'
Example Response
{  "id": 0,  "referenceId": "string",  "name": "string",  "description": "string",  "status": "string",  "internalStatus": "string",  "type": "string",  "frequency": "string",  "totalAmountDueExGst": "string",  "totalAmountDueGst": "string",  "totalAmountPaid": "string",  "dueDate": "string",  "createdAt": "string",  "employerId": 0}